## org.eclipse.m2m.atl.profiler.core.exception
Class InterceptedLeavingStackFrameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.m2m.atl.profiler.core.exception.InterceptedLeavingStackFrameException

All Implemented Interfaces:
  java.io.Serializable

    public class InterceptedLeavingStackFrameException

extends java.lang.Exception

An exception thrown when incorrectly leaving an stack frame.

See Also:
  Serialized Form

Constructor Summary
`InterceptedLeavingStackFrameException(java.lang.String msg)` Creates an exception with the given message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InterceptedLeavingStackFrameException

    public InterceptedLeavingStackFrameException(java.lang.String msg)

  Creates an exception with the given message.

  Parameters:
    `msg` - the message

Copyright 2007 IBM Corporation and others. All Rights Reserved.